
#ifndef _DEBUGWINDOW_H_
#define _DEBUGWINDOW_H_

void BeginDebug ( void );
void EndDebug ( void );
void Debug ( char *format, ... );
void PDebug ( Str255 string );
void DebugHexDump ( char *buffer, short length );
void ClearDebugWindow (void);
void DebugTimestamp ( void );

void __dassert(int test, char * msg, char * testStr, char * file, unsigned long line);

#define dassert(test, msg) \
	__dassert(test, msg, #test, __FILE__, __LINE__)

#endif
